API ReferenceTags

Rename a virtual tag value

PATCH
/api/v1/tags/virtual/{key_id}/values/{value_id}

Authorization

BearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

key_id*Key Id
value_id*Value Id

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/api/v1/tags/virtual/string/values/string" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "expected_version": 0  }'
{
  "success": true,
  "timestamp": "2019-08-24T14:15:22Z",
  "data": {
    "key": {
      "id": "string",
      "name": "string",
      "origin": "virtual",
      "description": "string",
      "providers": [
        "aws"
      ],
      "status": "active",
      "shares_provider_key": false,
      "can_override": false,
      "effective_from": "string",
      "rules_version": 0,
      "collapsed_keys": [
        {
          "source": {
            "origin": "provider",
            "key": "string"
          },
          "scope": {
            "providers": [
              "aws"
            ]
          },
          "value_prefix": "",
          "position": 0
        }
      ],
      "configs": [
        {
          "filter": {
            "rules": [
              {
                "providers": [
                  "aws"
                ],
                "conditions": [
                  {
                    "dimension": "account",
                    "key": "string",
                    "operator": "is",
                    "values": [
                      "string"
                    ]
                  }
                ]
              }
            ]
          },
          "time_frame": {
            "start": "2019-08-24",
            "end": "2019-08-24"
          },
          "assign": {
            "type": "value",
            "value": "string"
          },
          "id": "string",
          "position": 0
        }
      ],
      "values": [
        {
          "id": "string",
          "name": "string",
          "spend": 0,
          "resource_count": 0
        }
      ],
      "total_spend": 0,
      "unallocated_spend": 0,
      "resource_count": 0,
      "dependents": [
        {
          "id": "string",
          "name": "string"
        }
      ],
      "job": {
        "id": "string",
        "status": "queued",
        "from_period": "string",
        "to_period": "string",
        "periods_done": 0,
        "periods_total": 0,
        "error": "string",
        "created_at": "2019-08-24T14:15:22Z",
        "finished_at": "2019-08-24T14:15:22Z"
      },
      "window": {
        "start": "2019-08-24",
        "end": "2019-08-24"
      }
    },
    "job": {
      "id": "string",
      "status": "queued",
      "from_period": "string",
      "to_period": "string",
      "periods_done": 0,
      "periods_total": 0,
      "error": "string",
      "created_at": "2019-08-24T14:15:22Z",
      "finished_at": "2019-08-24T14:15:22Z"
    }
  }
}
{
  "success": false,
  "error": {
    "code": "string",
    "message": "string",
    "details": null
  },
  "timestamp": "2019-08-24T14:15:22Z"
}
{
  "success": false,
  "error": {
    "code": "string",
    "message": "string",
    "details": null
  },
  "timestamp": "2019-08-24T14:15:22Z"
}
{
  "success": false,
  "error": {
    "code": "string",
    "message": "string",
    "details": null
  },
  "timestamp": "2019-08-24T14:15:22Z"
}
{
  "success": false,
  "error": {
    "code": "string",
    "message": "string",
    "details": null
  },
  "timestamp": "2019-08-24T14:15:22Z"
}
{
  "success": false,
  "error": {
    "code": "string",
    "message": "string",
    "details": null
  },
  "timestamp": "2019-08-24T14:15:22Z"
}
{
  "property1": null,
  "property2": null
}
{
  "success": false,
  "error": {
    "code": "string",
    "message": "string",
    "details": null
  },
  "timestamp": "2019-08-24T14:15:22Z"
}
{
  "success": false,
  "error": {
    "code": "string",
    "message": "string",
    "details": null
  },
  "timestamp": "2019-08-24T14:15:22Z"
}